Collection APIs
GETGet Collections
Retrieve collections for a store, with optional status filtering.
Requests go to the live API through streamoid.com and act on your real data.
Authorization
AuthorizationstringrequiredheaderBearer token,
Bearer <token>. Create one under Tokens in your workspace.Query parameters
store_uuidstringrequiredStore identifier
Example:
69785f41c2c01fdb81c697b3statusstringComma-separated status filter. Allowed values: active, inactive, hidden.
Example:
active,inactivelimitintegerMaximum number of collections to return (max: 1000).
Headers
X-Request-IdstringOptional trace ID
Responses
200Collections retrieved successfully
statusobjectFields
codeinteger0 = success, -1 = error
Example:
0messagestringExample:
SUCCESSrequest_idstringExample:
8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312dataobject[]Item fields
namestringExample:
ShirtsdescriptionstringthumbnailstringstatusstringAllowed:
active inactive hiddenExample:
activeurlstringExample:
Shirts69b29578c653e5cf72206d77displayPreferencestringExample:
productautoRefreshbooleanminProductsintegertotalProductsintegermetaobjectFields
titlestringdescriptionstringsortByobjectFields
staticobjectFields
qualityScorebooleanExample:
falsetrendScorebooleanExample:
falsepersonalizationbooleanExample:
falsedynamicobject[]filtersobjectheroProductsstring[]groupsobject[]bannerUrlstringstaticstring400Validation error
statusstringdefault: "error"The status of the request, typically 'error'
detailstringrequiredA description of the error
401Unauthorized – Bearer token missing or invalid
statusobjectFields
codeintegerExample:
-1messagestringExample:
Unauthorized – invalid or missing Bearer token500Internal server error
statusobjectFields
codeintegerExample:
-1messagestringExample:
Internal server error. Please contact support@catalogix.ai502Downstream service unavailable
statusstringdefault: "error"The status of the request, typically 'error'
detailstringrequiredA description of the error
Something missing or unclear? Write to support@streamoid.com.